---
updatedAt: 2026-09-24T13:51:59.000Z
---

# Create Business

Register a new Business  
<h3 style="color: #071d49;">Please provide complete and accurate data about your business to reduce processing and vetting time. If the information you provide is incorrect, business vetting time could take up to 3-5 business days.</h3>

<h3 style="color: #071d49;">The following data elements provided will reduce processing and vetting time and should be considered required for appropriate business vetting:</h3>

<ul style="color: #071d49;">
    <li>Legal Business Name</li>
    <li>Primary phone number</li>
    <li>Street address</li>
    <li>City</li>
    <li>State</li>
    <li>Zip</li>
    <li>Industry</li>
    <li>Employee count</li>
    <li>Primary contact name</li>
    <li>Primary contact email</li>
    <li>Primary contact phone number</li>
</ul>  

<h3 style="color: #071d49;">The following fields are considered recommended and can reduce processing and vetting time:</h3>

<ul style="color: #071d49;">
    <li>DBA</li>
    <li>Website URL</li>
    <li>Tax ID</li>
    <li>Duns Number</li>
</ul> 

<h3 style="color: #071d49;">Based on the data provided a business will be placed in the following status:</h3>

<ul style="color: #071d49;">
    <li>APPROVED</li>
    <li>UNDER_REVIEW</li>
    <li>PENDING</li>
    <li>REJECTED</li>
</ul> 


#### Note! While a website address isn't required for registration, it is required for vetting with some networks. Leaving out your website address may cause a delay in branding or no branding.

<br />

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "version": "1.0",
    "title": "Branded Communications Exchange",
    "termsOfService": "https://firstorion.com/terms-use/",
    "x-logo": {
      "url": "https://firstorion.com/wp-content/themes/salient-child/img/logo-icon-blue.svg",
      "backgroundColor": "rgba(0,0,0,0)",
      "altText": "First Orion Logo"
    },
    "description": "> Please avoid using APIs that are marked `deprecated`. While the functions / endpoints will work for the time being, they will be deprecated in the next major release of the APIs.\n",
    "license": {
      "url": "change this and name",
      "name": "Apache 2.0"
    }
  },
  "servers": [
    {
      "url": "https://api.firstorion.com",
      "description": "Production Environment"
    },
    {
      "url": "https://api.forp-lab.com",
      "description": "Integration Environment"
    }
  ],
  "tags": [
    {
      "name": "Businesses",
      "description": "Business is a foundational element in the API structure. Business represents a customer - an entity who makes calls to customers as part of their business operation. \nBusiness must have ownership to the phone numbers they are using to make the calls. \n\nNewly registered businesses are vetted and verified prior to being accepted to be using the services.\n"
    }
  ],
  "components": {
    "schemas": {
      "status": {
        "type": "string",
        "readOnly": true,
        "enum": [
          "PENDING",
          "UNDER_REVIEW",
          "APPROVED",
          "REJECTED"
        ],
        "example": "APPROVED"
      },
      "businessId": {
        "type": "string",
        "description": "System generated unique identifier for the business",
        "example": "719d140e-fd6c-4d59-9241-3dee71b38320"
      },
      "businessContext": {
        "type": "object",
        "description": "Contextual information related to the business.",
        "properties": {
          "exceptionsToBlocklist": {
            "type": "array",
            "description": "Potentially vulgar words that should be allowed for this business",
            "example": [
              "Scam"
            ],
            "items": {
              "type": "string"
            }
          },
          "serviceGrants": {
            "type": "array",
            "description": "Which services this business is authorized to access",
            "example": [
              "CT",
              "CE"
            ],
            "items": {
              "enum": [
                "CT",
                "CE"
              ],
              "type": "string"
            },
            "minItems": 1,
            "maxItems": 3
          }
        }
      },
      "dba": {
        "type": "string",
        "description": "Doing Business As",
        "example": "Good Investment Partners",
        "maximum": 256
      },
      "demographics": {
        "type": "object",
        "properties": {
          "employeeCountRangeId": {
            "type": "integer",
            "description": "How many employees there are in the company. Must be one of `GET /exchange/v1/reference-data/employee-count-ranges`.",
            "example": 2
          },
          "industryId": {
            "type": "integer",
            "description": "The industry the business operates in. Must be one of `GET /exchange/v1/reference-data/business-industries`.",
            "example": 7
          },
          "licenseId": {
            "type": "string",
            "description": "ID based on selected industry. For example, Realtor or Insurance.",
            "example": "1010101"
          },
          "licenseType": {
            "example": "DEFAULT"
          }
        }
      },
      "dunsNumber": {
        "type": "string",
        "description": "Duns & Bradstreet Number for the business",
        "example": "01-234-5678"
      },
      "legalName": {
        "type": "string",
        "description": "Legal name of the business. It is highly recommended not to update legalName after it has been initially set.",
        "example": "Good Invest",
        "minimum": 4,
        "maximum": 256
      },
      "numberProviders": {
        "type": "array",
        "description": "Providers for your businesses numbers.",
        "example": [
          "Allstream",
          "Comcast"
        ],
        "items": {
          "enum": [
            "Allstream",
            "AT&T",
            "Bandwidth",
            "CenturyLink/Lumen",
            "Cinncinati Bell",
            "Comcast",
            "Commio",
            "Cox Communication",
            "Frontier Communications",
            "Sinch/Inteliquent",
            "IP Horizon",
            "Magna5",
            "NUSO",
            "Peerless Network",
            "T-Mobile",
            "Telenyx",
            "Twilio",
            "Verizon",
            "Windstream",
            "Ziply",
            "Spectrum Mobile",
            "Xfinity Mobile",
            "Boost Mobile",
            "Five9",
            "Teams",
            "NICE",
            "NTT",
            "Ring Central",
            "Vonage",
            "Zoom"
          ],
          "type": "string"
        },
        "maxItems": 7
      },
      "phoneNumber": {
        "type": "string",
        "description": "Phone number in E.164 format.",
        "minimum": 7,
        "maximum": 15,
        "pattern": "^\\+[1-9]\\d{1,14}$",
        "example": "+12125554200"
      },
      "taxId": {
        "type": "string",
        "description": "Tax ID number for the business. If using standard tax id, the format needs to be \"12-1234567\". If using SSN, the format must be \"123-12-1234\".",
        "example": "04-6370463"
      },
      "website": {
        "type": "string",
        "description": "Website of the business in question",
        "example": "geocities.com/good-invest-company",
        "maximum": 256
      },
      "tfaStatus": {
        "type": "string",
        "readOnly": true,
        "description": "Two Factor Authentication status of the primaryPhoneNumber",
        "example": "AUTHENTICATED"
      },
      "tfaSubmissionId": {
        "type": "string",
        "readOnly": true,
        "description": "Identifier of the Two Factor Authentication request for the primaryPhoneNumber",
        "example": "123456789"
      },
      "PutBusiness": {
        "type": "object",
        "properties": {
          "businessId": {
            "$ref": "#/components/schemas/businessId"
          },
          "context": {
            "$ref": "#/components/schemas/businessContext"
          },
          "dba": {
            "$ref": "#/components/schemas/dba"
          },
          "demographics": {
            "$ref": "#/components/schemas/demographics"
          },
          "dunsNumber": {
            "$ref": "#/components/schemas/dunsNumber"
          },
          "legalName": {
            "$ref": "#/components/schemas/legalName"
          },
          "numberProviders": {
            "$ref": "#/components/schemas/numberProviders"
          },
          "primaryPhoneNumber": {
            "$ref": "#/components/schemas/phoneNumber"
          },
          "taxId": {
            "$ref": "#/components/schemas/taxId"
          },
          "website": {
            "$ref": "#/components/schemas/website"
          },
          "status": {
            "$ref": "#/components/schemas/status"
          },
          "tfaDeliveryMethod": {
            "$ref": "#/components/schemas/tfaStatus"
          },
          "tfaSubmissionId": {
            "$ref": "#/components/schemas/tfaSubmissionId"
          }
        }
      },
      "primaryLocation": {
        "type": "boolean",
        "description": "Is this the primary address for the business.",
        "example": true,
        "default": false
      },
      "streetAddress1": {
        "type": "string",
        "description": "Street address for the business address.",
        "example": "520 Main St",
        "maximum": 256
      },
      "streetAddress2": {
        "type": "string",
        "example": "Suite 101",
        "maximum": 256
      },
      "streetAddress3": {
        "type": "string",
        "example": "354 Hogan Lane",
        "maximum": 256
      },
      "postalCode": {
        "type": "string",
        "example": "72321",
        "minimum": 5,
        "maximum": 10
      },
      "city": {
        "type": "string",
        "description": "City of the address.",
        "example": "North Little Rock",
        "minimum": 1,
        "maximum": 256
      },
      "state": {
        "type": "string",
        "description": "State or providence if applicable.",
        "example": "AR"
      },
      "countryCode": {
        "type": "string",
        "description": "Two character ISO country code for the country of the address. (Please refer to full list e.g. at https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)",
        "example": "US",
        "minimum": 2,
        "maximum": 2
      },
      "PutAddress": {
        "type": "object",
        "properties": {
          "primaryLocation": {
            "$ref": "#/components/schemas/primaryLocation"
          },
          "streetAddress1": {
            "$ref": "#/components/schemas/streetAddress1"
          },
          "streetAddress2": {
            "$ref": "#/components/schemas/streetAddress2"
          },
          "streetAddress3": {
            "$ref": "#/components/schemas/streetAddress3"
          },
          "postalCode": {
            "$ref": "#/components/schemas/postalCode"
          },
          "city": {
            "$ref": "#/components/schemas/city"
          },
          "state": {
            "$ref": "#/components/schemas/state"
          },
          "countryCode": {
            "$ref": "#/components/schemas/countryCode"
          }
        }
      },
      "PostAddress": {
        "allOf": [
          {
            "$ref": "#/components/schemas/PutAddress"
          },
          {
            "required": [
              "streetAddress1",
              "city",
              "postalCode",
              "countryCode"
            ]
          }
        ]
      },
      "email": {
        "type": "string",
        "description": "Email address for the contact person.",
        "minimum": 6,
        "maximum": 256,
        "pattern": "[a-zA-Z0-9!#$%&'*+/=?^_{|}~-]+(?:\\.[a-zA-Z0-9!#$%&'*+/=?^_{|}~-]+)*@[a-zA-Z0-9!#$%&'*+/=?^_{|}~-]+\\.[a-zA-Z0-9!#$%&'*+/=?^_{|}~-]{2,}",
        "example": "EJScott@good-invest-company-email.co"
      },
      "contactName": {
        "type": "string",
        "description": "Full name (FirstName LastName) of the contact person.",
        "minimum": 1,
        "maximum": 256,
        "example": "Edgard J Scott"
      },
      "PutContact": {
        "type": "object",
        "properties": {
          "email": {
            "$ref": "#/components/schemas/email"
          },
          "contactName": {
            "$ref": "#/components/schemas/contactName"
          },
          "phoneNumber": {
            "$ref": "#/components/schemas/phoneNumber"
          }
        }
      },
      "PostContact": {
        "allOf": [
          {
            "$ref": "#/components/schemas/PutContact"
          },
          {
            "required": [
              "contactName",
              "email",
              "phoneNumber"
            ]
          }
        ]
      },
      "tfaMethod": {
        "type": "string",
        "description": "How should a two factor authentication code be delivered to the `primaryPhoneNumber`",
        "enum": [
          "sms",
          "call"
        ],
        "default": "sms"
      },
      "PostBusiness": {
        "type": "object",
        "properties": {
          "legalName": {
            "$ref": "#/components/schemas/legalName"
          },
          "primaryPhoneNumber": {
            "$ref": "#/components/schemas/phoneNumber"
          },
          "taxId": {
            "$ref": "#/components/schemas/taxId"
          },
          "addresses": {
            "type": "array",
            "description": "List of locations/addresses for the business",
            "minItems": 1,
            "items": {
              "$ref": "#/components/schemas/PostAddress"
            }
          },
          "administrativeContacts": {
            "type": "array",
            "description": "Administrative contacts of the business.",
            "minItems": 1,
            "items": {
              "$ref": "#/components/schemas/PostContact"
            }
          },
          "context": {
            "$ref": "#/components/schemas/businessContext"
          },
          "dba": {
            "$ref": "#/components/schemas/dba"
          },
          "demographics": {
            "$ref": "#/components/schemas/demographics"
          },
          "dunsNumber": {
            "$ref": "#/components/schemas/dunsNumber"
          },
          "tfaDeliveryMethod": {
            "$ref": "#/components/schemas/tfaMethod"
          },
          "website": {
            "$ref": "#/components/schemas/website"
          },
          "numberProviders": {
            "$ref": "#/components/schemas/numberProviders"
          }
        },
        "required": [
          "legalName",
          "primaryPhoneNumber",
          "addresses",
          "administrativeContacts",
          "context"
        ]
      },
      "contactId": {
        "type": "string",
        "readOnly": true,
        "description": "System generated unique identifier for the administrative contact.",
        "example": "7b83bd8f-aafe-4665-995b-0f14a3092840"
      },
      "Responses-PutContact": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "contactId": {
                "$ref": "#/components/schemas/contactId"
              }
            }
          },
          {
            "$ref": "#/components/schemas/PutContact"
          }
        ]
      },
      "GetAddress": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "addressId": {
                "type": "string",
                "description": "System generated unique identifier for the address.",
                "example": "7b83bd8f-aafe-4665-995b-0f14a3092840"
              }
            }
          },
          {
            "$ref": "#/components/schemas/PutAddress"
          }
        ]
      },
      "Responses-PostBusiness": {
        "type": "object",
        "properties": {
          "body": {
            "allOf": [
              {
                "type": "object",
                "properties": {
                  "administrativeContacts": {
                    "type": "array",
                    "items": {
                      "$ref": "#/components/schemas/Responses-PutContact"
                    }
                  },
                  "addresses": {
                    "type": "array",
                    "items": {
                      "$ref": "#/components/schemas/GetAddress"
                    }
                  },
                  "businessId": {
                    "$ref": "#/components/schemas/businessId"
                  }
                }
              },
              {
                "$ref": "#/components/schemas/PutBusiness"
              }
            ]
          },
          "error": {
            "type": "string",
            "example": null
          }
        }
      }
    },
    "responses": {
      "Unauthorized": {
        "description": "Unauthorized"
      },
      "Forbidden": {
        "description": "Forbidden"
      },
      "ResourceNotFoundNoBody": {
        "description": "Not Found"
      },
      "BusinessObjectBadRequest": {
        "description": "Bad Request",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "description": "Response",
              "properties": {
                "body": {
                  "type": "object",
                  "nullable": true,
                  "example": null
                },
                "error": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "description": "Error code",
                      "example": 400
                    },
                    "message": {
                      "type": "string",
                      "description": "Description of the error",
                      "example": "rpc error: code = InvalidArgument desc = invalid business object"
                    }
                  }
                }
              }
            }
          }
        }
      },
      "BusinessConflict": {
        "description": "Conflict",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "description": "Response",
              "properties": {
                "body": {
                  "type": "object",
                  "nullable": true,
                  "example": null
                },
                "error": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "description": "Error code",
                      "example": 409
                    },
                    "message": {
                      "type": "string",
                      "description": "Description of the error",
                      "example": "rpc error: code = AlreadyExists desc = business with identical details already exists"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "x-tagGroups": [
    {
      "name": "Authentication",
      "tags": [
        "Authentication",
        "OAuth2.0"
      ]
    },
    {
      "name": "Businesses",
      "tags": [
        "Businesses",
        "Business Addresses",
        "Business Contacts",
        "Business Images",
        "Business API Keys",
        "Business Units"
      ]
    },
    {
      "name": "Phone Numbers",
      "tags": [
        "Business Phone Numbers",
        "Business Unit Phone Numbers",
        "CallerName aNumbers"
      ]
    },
    {
      "name": "Programs",
      "tags": [
        "Programs",
        "Schedules"
      ]
    },
    {
      "name": "Program Delivery Channels",
      "tags": [
        "Delivery Channels",
        "CallerName",
        "CallerImage",
        "Blocking",
        "Engage SDK"
      ]
    },
    {
      "name": "Call Authentication",
      "tags": [
        "Call Authentication",
        "Call Authentication V2",
        "PreCall Engage SDK"
      ]
    },
    {
      "name": "Reference Data",
      "tags": [
        "Employee Count Ranges",
        "Daily Call Count Ranges",
        "Industries",
        "Call Purposes"
      ]
    },
    {
      "name": "Utilities",
      "tags": [
        "Phone Number Verification"
      ]
    }
  ],
  "paths": {
    "/exchange/v1/businesses": {
      "summary": "Businesses",
      "parameters": [
        {
          "name": "Authorization",
          "in": "header",
          "required": true,
          "schema": {
            "type": "string",
            "example": "<token>"
          },
          "description": "Access Token"
        }
      ],
      "post": {
        "summary": "Create Business",
        "description": "Register a new Business  \n<h3 style=\"color: #071d49;\">Please provide complete and accurate data about your business to reduce processing and vetting time. If the information you provide is incorrect, business vetting time could take up to 3-5 business days.</h3>\n\n<h3 style=\"color: #071d49;\">The following data elements provided will reduce processing and vetting time and should be considered required for appropriate business vetting:</h3>\n\n<ul style=\"color: #071d49;\">\n    <li>Legal Business Name</li>\n    <li>Primary phone number</li>\n    <li>Street address</li>\n    <li>City</li>\n    <li>State</li>\n    <li>Zip</li>\n    <li>Industry</li>\n    <li>Employee count</li>\n    <li>Primary contact name</li>\n    <li>Primary contact email</li>\n    <li>Primary contact phone number</li>\n</ul>  \n\n<h3 style=\"color: #071d49;\">The following fields are considered recommended and can reduce processing and vetting time:</h3>\n\n<ul style=\"color: #071d49;\">\n    <li>DBA</li>\n    <li>Website URL</li>\n    <li>Tax ID</li>\n    <li>Duns Number</li>\n</ul> \n\n<h3 style=\"color: #071d49;\">Based on the data provided a business will be placed in the following status:</h3>\n\n<ul style=\"color: #071d49;\">\n    <li>APPROVED</li>\n    <li>UNDER_REVIEW</li>\n    <li>PENDING</li>\n    <li>REJECTED</li>\n</ul> \n",
        "operationId": "PostBusinesses",
        "tags": [
          "Businesses"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PostBusiness"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Created",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Responses-PostBusiness"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BusinessObjectBadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/ResourceNotFoundNoBody"
          },
          "409": {
            "$ref": "#/components/responses/BusinessConflict"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```